Bug 24415 - Authority enhancement - Improve access to tabs
Summary: Authority enhancement - Improve access to tabs
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 22045 26975
Blocks: 29732 30422
  Show dependency treegraph
 
Reported: 2020-01-13 19:03 UTC by Marjorie Barry-Vila
Modified: 2022-03-31 14:58 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00


Attachments
Bug 24415: Authority enhancement - Improve access to tabs (6.91 KB, patch)
2022-01-10 17:42 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24415: Authority enhancement - Improve access to tabs (6.95 KB, patch)
2022-01-23 21:06 UTC, David Nind
Details | Diff | Splinter Review
Bug 24415: Authority enhancement - Improve access to tabs (6.95 KB, patch)
2022-02-25 12:34 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 24415: Authority enhancement - Improve access to tabs (7.03 KB, patch)
2022-03-22 10:56 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marjorie Barry-Vila 2020-01-13 19:03:38 UTC

    
Comment 1 Marjorie Barry-Vila 2020-01-13 19:05:48 UTC
Hi,

It would be nice to have the same enhancement of 22045 for authorities module.

https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=22045

Regards,
Marjorie
Comment 2 Owen Leonard 2022-01-10 17:42:19 UTC Comment hidden (obsolete)
Comment 3 David Nind 2022-01-23 21:06:51 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2022-02-25 12:34:18 UTC
Created attachment 131119 [details] [review]
Bug 24415: Authority enhancement - Improve access to tabs

This patch makes style changes to the authority record editor in order
to make it easier to navigate among tabs and tags. This change matches
the one made to the basic MARC editor in Bug 22045.

Tabs are now part of the page's toolbar, which floats as the page
scrolls. In addition to the numbered tabs, there is also a section
showing in-page links to the MARC tags which are available on that page.

To test, apply the patch and clear your browser cache if necessary.

Open a blank or existing record in the authority record editor. Test
the redesigned tabs, the floating toolbar, and the in-page tag links.

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 Jonathan Druart 2022-03-22 10:56:07 UTC
Created attachment 132007 [details] [review]
Bug 24415: Authority enhancement - Improve access to tabs

This patch makes style changes to the authority record editor in order
to make it easier to navigate among tabs and tags. This change matches
the one made to the basic MARC editor in Bug 22045.

Tabs are now part of the page's toolbar, which floats as the page
scrolls. In addition to the numbered tabs, there is also a section
showing in-page links to the MARC tags which are available on that page.

To test, apply the patch and clear your browser cache if necessary.

Open a blank or existing record in the authority record editor. Test
the redesigned tabs, the floating toolbar, and the in-page tag links.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 6 Fridolin Somers 2022-03-25 00:25:03 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 7 Marjorie Barry-Vila 2022-03-25 15:41:28 UTC
Thanks!